{% extends 'base.html' %}

{% block content %}
  <form action="" method="post" class="fs-5">
    {{ form.csrf_token() }}
    <div class="row">
      <div class="mb-3 col-3">
        {{ form.id.label(class="form-label") }}
        <input
            type="{{ form.id.type }}"
            id="{{ form.id.name }}"
            class="form-control {{ 'is-invalid' if form.id.errors else '' }}"
            disabled
            value="{{ form.id.data }}"
        >
      </div>
      <div class="mb-3 col">
        {{ form.sort_pn.label(class="form-label") }}
      {% if form.sort_pn.errors %}
        {{ form.sort_pn(class="form-control is-invalid") }}
      {% else %}
        {{ form.sort_pn(class="form-control") }}
      {% endif %}
      </div>
    </div>
    <div class="mb-3">
      {{ form.name.label(class="form-label") }}
      {% if form.name.errors %}
        {{ form.name(class="form-control is-invalid") }}
      {% else %}
        {{ form.name(class="form-control") }}
      {% endif %}

    </div>
    <div class="mb-3 form-check">
      {{ form.is_active }} {{ form.is_active.label }}
    </div>


    <div class="d-flex flex-row gap-2 justify-content-center">
      {% if form.is_delete %}
        {{ form.submit_del(class="btn btn-danger col-2") }}
        <a href="{{ url_for('category_list') }}" class="btn btn-secondary col-2" role="button">Отмена</a>
      {% else %}
        {{ form.submit(class="btn btn-primary col-2") }}
        <a href="{{ url_for('category_list') }}" class="btn btn-secondary col-2" role="button">Отмена</a>
      {% endif %}
    </div>

  </form>

{% endblock %}